## qt6-lottie 6.2.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
project(QtLottie
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "Qt Lottie Libraries"
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

set(QT_NO_INTERNAL_COMPATIBILITY_FUNCTIONS TRUE)

# Make sure we use the fixed BASE argument of qt_add_resource.
set(QT_USE_FIXED_QT_ADD_RESOURCE_BASE TRUE)

find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core)
find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG OPTIONAL_COMPONENTS Gui Qml Quick QuickTest)

if(NOT TARGET Qt6::Gui)
    message(NOTICE "Skipping the build as Qt6::Gui cannot be found.")
    return()
endif()

qt_build_repo()

=== src/imports/CMakeLists.txt ===
qt_internal_add_qml_module(lottieqtplugin
    URI "Qt.labs.lottieqt"
    VERSION "${PROJECT_VERSION}"
    CLASS_NAME BodymovinPlugin
    PLUGIN_TARGET lottieqtplugin
    NO_GENERATE_PLUGIN_SOURCE
    NO_PLUGIN_OPTIONAL
    NO_GENERATE_QMLTYPES
    INSTALL_SOURCE_QMLTYPES "plugins.qmltypes"
    SOURCES
        lottie_plugin.cpp lottie_plugin.h
        lottieanimation.cpp lottieanimation.h
        rasterrenderer/batchrenderer.cpp rasterrenderer/batchrenderer.h
        rasterrenderer/lottierasterrenderer.cpp rasterrenderer/lottierasterrenderer.h
    LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::GuiPrivate
        Qt::Qml
        Qt::Quick
        Qt::BodymovinPrivate
)

qt_internal_add_docs(lottieqtplugin
    doc/qtlottieanimation.qdocconf
)

=== tests/auto/bodymovin/shape/CMakeLists.txt ===
add_subdirectory(shapelayer)
add_subdirectory(rect)
add_subdirectory(ellipse)
add_subdirectory(fill)
add_subdirectory(stroke)
add_subdirectory(path)
add_subdirectory(trimpath)
add_subdirectory(transform)
add_subdirectory(shapetransform)
add_subdirectory(repeater)
add_subdirectory(repeatertransform)

=== tests/auto/bodymovin/shape/ellipse/CMakeLists.txt ===
qt_internal_add_test(tst_ellipse
    SOURCES
        tst_bmellipse.cpp
    PUBLIC_LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::Test
        Qt::BodymovinPrivate
)

=== tests/auto/bodymovin/shape/path/CMakeLists.txt ===
qt_internal_add_test(tst_path
    SOURCES
        tst_bmpath.cpp
    PUBLIC_LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::Test
        Qt::BodymovinPrivate
)

=== tests/auto/bodymovin/shape/rect/CMakeLists.txt ===
qt_internal_add_test(tst_rect
    SOURCES
        tst_bmrect.cpp
    PUBLIC_LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::Test
        Qt::BodymovinPrivate
)

=== tests/auto/bodymovin/shape/repeatertransform/CMakeLists.txt ===
qt_internal_add_test(tst_repeatertransform
    SOURCES
        tst_bmrepeatertransform.cpp
    PUBLIC_LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::Test
        Qt::BodymovinPrivate
)

=== tests/auto/bodymovin/shape/shapelayer/CMakeLists.txt ===
qt_internal_add_test(tst_shapelayer
    SOURCES
        tst_bmshapelayer.cpp
    PUBLIC_LIBRARIES
        Qt::Gui
        Qt::Test
        Qt::BodymovinPrivate
)

=== tests/auto/bodymovin/shape/shapetransform/CMakeLists.txt ===
qt_internal_add_test(tst_shapetransform
    SOURCES
        tst_bmshapetransform.cpp
    PUBLIC_LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::Test
        Qt::BodymovinPrivate
)

=== tests/auto/bodymovin/shape/stroke/CMakeLists.txt ===
qt_internal_add_test(tst_stroke
    SOURCES
        tst_bmstroke.cpp
    PUBLIC_LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::Test
        Qt::BodymovinPrivate
)

=== tests/auto/bodymovin/shape/transform/CMakeLists.txt ===
qt_internal_add_test(tst_bodymovin_transform
    SOURCES
        tst_bmbasictransform.cpp
    PUBLIC_LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::Test
        Qt::BodymovinPrivate
)

=== tests/auto/bodymovin/shape/trimpath/CMakeLists.txt ===
qt_internal_add_test(tst_trimpath
    SOURCES
        tst_bmtrimpath.cpp
    PUBLIC_LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::Test
        Qt::BodymovinPrivate
)

=== debian/changelog ===
qt6-lottie (6.2.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.

 -- Patrick Franz <deltaone@debian.org>  Thu, 31 Mar 2022 00:12:15 +0200

qt6-lottie (6.2.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 22:39:14 +0100

qt6-lottie (6.2.2-1) experimental; urgency=medium

  [ Lu YaNing ]
  * Update descriptions.

  [ Patrick Franz ]
  * New upstream release (6.2.2).
  * Bump Qt B-Ds to 6.2.2.
  * Update installed files.

 -- Patrick Franz <deltaone@debian.org>  Fri, 03 Dec 2021 16:20:02 +0100

qt6-lottie (6.2.1-1) experimental; urgency=medium

  * Initial release (Closes: #999687)

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Nov 2021 00:24:43 +0100

=== debian/control ===
Source: qt6-lottie
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake (>= 3.18~),
               debhelper-compat (= 13),
               libgl-dev,
               libqt6opengl6-dev (>= 6.2.4+dfsg~),
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qml6-module-qtquick (>= 6.2.4+dfsg~),
               qml6-module-qttest (>= 6.2.4+dfsg~),
               qt6-base-dev (>= 6.2.4+dfsg~),
               qt6-base-private-dev (>= 6.2.4+dfsg~),
               qt6-declarative-dev (>= 6.2.4+dfsg~),
               qt6-declarative-private-dev (>= 6.2.4+dfsg~),
Standards-Version: 4.6.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-lottie
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-lottie.git
Rules-Requires-Root: no

Package: libqt6bodymovin6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Lottie Bodymovin library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a plugin created/exported directly from After Effects.

Package: qml6-module-qt-labs-lottieqt
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: qml6-module-qtquick, ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Lottie QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a QML API for rendering graphics and animations
 that are exported in JSON format by the Bodymovin plugin for Adobe
 After Effects.

Package: libqt6bodymovin6-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6bodymovin6 (= ${binary:Version}), qt6-base-dev, ${misc:Depends}
Description: Qt 6 Lottie - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt Lottie libraries.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

execute_after_dh_auto_install:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl\

## qt6-lottie 6.3.1

=== debian/changelog ===
qt6-lottie (6.3.1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 19:22:47 +0200

qt6-lottie (6.3.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.1).
  * Bump Qt B-Ds to 6.3.1.
  * Bump Standards-Version to 4.6.1 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Jul 2022 14:52:50 +0200

qt6-lottie (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Qt B-Ds to 6.3.0.

 -- Patrick Franz <deltaone@debian.org>  Tue, 14 Jun 2022 21:35:51 +0200

qt6-lottie (6.2.4-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Apr 2022 20:06:44 +0200

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,19 @@
 Build-Depends: cmake (>= 3.18~),
                debhelper-compat (= 13),
                libgl-dev,
-               libqt6opengl6-dev (>= 6.2.4+dfsg~),
+               libqt6opengl6-dev (>= 6.3.1+dfsg~),
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qml6-module-qtquick (>= 6.2.4+dfsg~),
-               qml6-module-qttest (>= 6.2.4+dfsg~),
-               qt6-base-dev (>= 6.2.4+dfsg~),
-               qt6-base-private-dev (>= 6.2.4+dfsg~),
-               qt6-declarative-dev (>= 6.2.4+dfsg~),
-               qt6-declarative-private-dev (>= 6.2.4+dfsg~),
-Standards-Version: 4.6.0
+               qml6-module-qtquick (>= 6.3.1+dfsg~),
+               qml6-module-qttest (>= 6.3.1+dfsg~),
+               qt6-base-dev (>= 6.3.1+dfsg~),
+               qt6-base-private-dev (>= 6.3.1+dfsg~),
+               qt6-declarative-dev (>= 6.3.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.3.1+dfsg~),
+Standards-Version: 4.6.1
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-lottie
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-lottie.git

## qt6-lottie 6.4.2

=== src/bodymovin/CMakeLists.txt ===
qt_internal_add_module(BodymovinPrivate
    INTERNAL_MODULE
    SOURCES
        beziereasing.cpp beziereasing_p.h
        bmbase.cpp bmbase_p.h
        bmbasictransform.cpp bmbasictransform_p.h
        bmconstants_p.h
        bmellipse.cpp bmellipse_p.h
        bmfill.cpp bmfill_p.h
        bmfilleffect.cpp bmfilleffect_p.h
        bmfreeformshape.cpp bmfreeformshape_p.h
        bmgfill.cpp bmgfill_p.h
        bmglobal.h
        bmgroup.cpp bmgroup_p.h
        bmimage.cpp bmimage_p.h
        bmimagelayer.cpp bmimagelayer_p.h
        bmlayer.cpp bmlayer_p.h
        bmpathtrimmer.cpp bmpathtrimmer_p.h
        bmproperty_p.h
        bmrect.cpp bmrect_p.h
        bmrepeater.cpp bmrepeater_p.h
        bmrepeatertransform.cpp bmrepeatertransform_p.h
        bmround.cpp bmround_p.h
        bmshape.cpp bmshape_p.h
        bmshapelayer.cpp bmshapelayer_p.h
        bmshapetransform.cpp bmshapetransform_p.h
        bmspatialproperty_p.h
        bmstroke.cpp bmstroke_p.h
        bmtrimpath.cpp bmtrimpath_p.h
        lottierenderer.cpp lottierenderer_p.h
        trimpath.cpp trimpath_p.h
    DEFINES
        BODYMOVIN_LIBRARY
        QT_DEPRECATED_WARNINGS
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::GuiPrivate
)

=== src/imports/CMakeLists.txt ===
--- 
+++ 
@@ -3,12 +3,9 @@
     VERSION "${PROJECT_VERSION}"
     CLASS_NAME BodymovinPlugin
     PLUGIN_TARGET lottieqtplugin
-    NO_GENERATE_PLUGIN_SOURCE
-    NO_PLUGIN_OPTIONAL
-    NO_GENERATE_QMLTYPES
-    INSTALL_SOURCE_QMLTYPES "plugins.qmltypes"
+    DEPENDENCIES
+        QtQuick
     SOURCES
-        lottie_plugin.cpp lottie_plugin.h
         lottieanimation.cpp lottieanimation.h
         rasterrenderer/batchrenderer.cpp rasterrenderer/batchrenderer.h
         rasterrenderer/lottierasterrenderer.cpp rasterrenderer/lottierasterrenderer.h

=== tests/auto/imports/CMakeLists.txt ===
qt_internal_add_test(tst_imports
    GUI
    QMLTEST
    SOURCES
        tst_imports.cpp
    PUBLIC_LIBRARIES
        Qt::Quick
    TESTDATA
        data/tst_main.qml
)

qt_internal_add_resource(tst_imports "imports"
    PREFIX
        "/"
    FILES
        data/rec_pos_col_opa.json
)

=== tests/auto/bodymovin/shape/ellipse/CMakeLists.txt ===
# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    data/*)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_ellipse
    SOURCES
        tst_bmellipse.cpp
    PUBLIC_LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::Test
        Qt::BodymovinPrivate
    TESTDATA ${test_data}
)

=== tests/auto/bodymovin/shape/fill/CMakeLists.txt ===
# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    data/*)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_fill
    SOURCES
        tst_bmfill.cpp
    PUBLIC_LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::Test
        Qt::BodymovinPrivate
    TESTDATA ${test_data}
)

=== tests/auto/bodymovin/shape/rect/CMakeLists.txt ===
# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    data/*)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_rect
    SOURCES
        tst_bmrect.cpp
    PUBLIC_LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::Test
        Qt::BodymovinPrivate
    TESTDATA ${test_data}
)

=== tests/auto/bodymovin/shape/repeater/CMakeLists.txt ===
# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    data/*)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_repeater
    SOURCES
        tst_bmrepeater.cpp
    PUBLIC_LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::Test
        Qt::BodymovinPrivate
    TESTDATA ${test_data}
)

=== tests/auto/bodymovin/shape/repeatertransform/CMakeLists.txt ===
# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    data/*)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_repeatertransform
    SOURCES
        tst_bmrepeatertransform.cpp
    PUBLIC_LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::Test
        Qt::BodymovinPrivate
    TESTDATA ${test_data}
)

=== tests/auto/bodymovin/shape/transform/CMakeLists.txt ===
# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    data/*)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_bodymovin_transform
    SOURCES
        tst_bmbasictransform.cpp
    PUBLIC_LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::Test
        Qt::BodymovinPrivate
    TESTDATA ${test_data}
)

=== tests/auto/bodymovin/shape/trimpath/CMakeLists.txt ===
# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    data/*)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_trimpath
    SOURCES
        tst_bmtrimpath.cpp
    PUBLIC_LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::Test
        Qt::BodymovinPrivate
    TESTDATA ${test_data}
)

=== debian/changelog ===
qt6-lottie (6.4.2-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:47:51 +1100

qt6-lottie (6.4.2-3build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:59:55 +0000

qt6-lottie (6.4.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Remove build-dependency on libqt6opengl6-dev as it has been merged
    into qt6-base-dev.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Oct 2023 20:24:56 +0200

qt6-lottie (6.4.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Pass QT_HOST_PATH to cmake in cross-builds, thx to Helmut Grohne.

 -- Patrick Franz <deltaone@debian.org>  Fri, 16 Jun 2023 22:09:25 +0200

qt6-lottie (6.4.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch to the official 6.4.2 tarball, the tarball is the same.

 -- Patrick Franz <deltaone@debian.org>  Thu, 26 Jan 2023 22:58:03 +0100

qt6-lottie (6.4.2~rc1-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Add a Provides for libqt6bodymovin6-dev.

 -- Patrick Franz <deltaone@debian.org>  Sat, 31 Dec 2022 14:46:25 +0100

qt6-lottie (6.4.2~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:58:25 +0100

qt6-lottie (6.4.2~rc1-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.
  * Bump standards version to 4.6.2, no changes required.

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:26:53 +0100

qt6-lottie (6.4.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Rename libqt6bodymovin6-dev to qt6-lottie-dev.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Wed, 30 Nov 2022 22:36:59 +0100

qt6-lottie (6.4.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.

 -- Patrick Franz <deltaone@debian.org>  Thu, 17 Nov 2022 19:48:19 +0100

qt6-lottie (6.4.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Enable link time optimization (Closes: #1015620).

 -- Patrick Franz <deltaone@debian.org>  Sun, 13 Nov 2022 14:08:18 +0100

qt6-lottie (6.4.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.0).
  * Bump Qt B-Ds to 6.4.0.
  * Bump minimum CMake version in order to get pkg-config's .pc files.
  * Increase CMake verbosity level.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 15 Oct 2022 18:30:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: qt6-lottie
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
-Build-Depends: cmake (>= 3.18~),
+Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                libgl-dev,
-               libqt6opengl6-dev (>= 6.3.1+dfsg~),
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qml6-module-qtquick (>= 6.3.1+dfsg~),
-               qml6-module-qttest (>= 6.3.1+dfsg~),
-               qt6-base-dev (>= 6.3.1+dfsg~),
-               qt6-base-private-dev (>= 6.3.1+dfsg~),
-               qt6-declarative-dev (>= 6.3.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.3.1+dfsg~),
-Standards-Version: 4.6.1
+               qml6-module-qtquick (>= 6.4.2+dfsg~),
+               qml6-module-qttest (>= 6.4.2+dfsg~),
+               qt6-base-dev (>= 6.4.2+dfsg~),
+               qt6-base-private-dev (>= 6.4.2+dfsg~),
+               qt6-declarative-dev (>= 6.4.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.4.2+dfsg~),
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-lottie
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-lottie.git
@@ -48,11 +48,14 @@
  that are exported in JSON format by the Bodymovin plugin for Adobe
  After Effects.
 
-Package: libqt6bodymovin6-dev
+Package: qt6-lottie-dev
+Provides: libqt6bodymovin6-dev (= ${binary:Version})
 Architecture: any
 Multi-Arch: same
 Section: libdevel
 Depends: libqt6bodymovin6 (= ${binary:Version}), qt6-base-dev, ${misc:Depends}
+Breaks: libqt6bodymovin6-dev (<< 6.4.1-2~)
+Replaces: libqt6bodymovin6-dev (<< 6.4.1-2~)
 Description: Qt 6 Lottie - development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	extra_cmake_args += -DQT_HOST_PATH=/usr
endif

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		$(extra_cmake_args)

execute_after_dh_auto_install:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl\

## qt6-lottie 6.6.1

=== debian/changelog ===
qt6-lottie (6.6.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.1).
  * Bump Qt B-Ds to 6.6.1.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Dec 2023 19:20:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qt6-lottie
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -12,12 +11,10 @@
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qml6-module-qtquick (>= 6.4.2+dfsg~),
-               qml6-module-qttest (>= 6.4.2+dfsg~),
-               qt6-base-dev (>= 6.4.2+dfsg~),
-               qt6-base-private-dev (>= 6.4.2+dfsg~),
-               qt6-declarative-dev (>= 6.4.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.4.2+dfsg~),
+               qt6-base-dev (>= 6.6.1+dfsg~),
+               qt6-base-private-dev (>= 6.6.1+dfsg~),
+               qt6-declarative-dev (>= 6.6.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.6.1+dfsg~),
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-lottie

## qt6-lottie 6.6.2

=== debian/changelog ===
qt6-lottie (6.6.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:27:26 +0200

qt6-lottie (6.6.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Fri, 16 Feb 2024 19:47:32 +0100

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.6.1+dfsg~),
-               qt6-base-private-dev (>= 6.6.1+dfsg~),
-               qt6-declarative-dev (>= 6.6.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.6.1+dfsg~),
+               qt6-base-dev (>= 6.6.2+dfsg~),
+               qt6-base-private-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-lottie

## qt6-lottie 6.7.2

=== debian/changelog ===
qt6-lottie (6.7.2-3) unstable; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.

  [ Patrick Franz ]
  * Install cmake-files for QmlPlugins.

 -- Patrick Franz <deltaone@debian.org>  Sun, 10 Nov 2024 16:02:42 +0100

qt6-lottie (6.7.2-2) unstable; urgency=medium

  * Remove virtual package libqt6bodymovin6-dev.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 01:49:53 +0200

qt6-lottie (6.7.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 31 Aug 2024 18:23:33 +0200

=== debian/control ===
Source: qt6-lottie
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               dh-sequence-qmldeps,
               dh-sequence-pkgkde-symbolshelper,
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.7.2+dfsg~),
               qt6-base-private-dev (>= 6.7.2+dfsg~),
               qt6-declarative-dev (>= 6.7.2+dfsg~),
               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
Standards-Version: 4.7.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-lottie
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-lottie.git
Rules-Requires-Root: no

Package: libqt6bodymovin6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Lottie Bodymovin library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a plugin created/exported directly from After Effects.

Package: qml6-module-qt-labs-lottieqt
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Qt 6 Lottie QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a QML API for rendering graphics and animations
 that are exported in JSON format by the Bodymovin plugin for Adobe
 After Effects.

Package: qt6-lottie-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6bodymovin6 (= ${binary:Version}),
         qml6-module-qt-labs-lottieqt (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Breaks: libqt6bodymovin6-dev (<< 6.4.1-2~),
Replaces: libqt6bodymovin6-dev (<< 6.4.1-2~),
Description: Qt 6 Lottie - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt Lottie libraries.

## qt6-lottie 6.8.0

=== debian/changelog ===
qt6-lottie (6.8.0-0deepin) unstable; urgency=medium

  * New upstream release (6.8.0).

 -- lichenggang <lichenggang@deepin.org>  Mon, 11 Nov 2024 10:59:19 +0800

=== debian/control ===
Source: qt6-lottie
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qt6-base-dev (>= 6.8.0+dfsg~),
               qt6-base-private-dev (>= 6.8.0+dfsg~),
               qt6-declarative-dev (>= 6.8.0+dfsg~),
               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-lottie
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-lottie.git
Rules-Requires-Root: no

Package: libqt6bodymovin6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Lottie Bodymovin library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a plugin created/exported directly from After Effects.

Package: qml6-module-qt-labs-lottieqt
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: qml6-module-qtquick, ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Lottie QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a QML API for rendering graphics and animations
 that are exported in JSON format by the Bodymovin plugin for Adobe
 After Effects.

Package: qt6-lottie-dev
Provides: libqt6bodymovin6-dev (= ${binary:Version})
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6bodymovin6 (= ${binary:Version}), qt6-base-dev, ${misc:Depends}
Breaks: libqt6bodymovin6-dev (<< 6.4.1-2~)
Replaces: libqt6bodymovin6-dev (<< 6.4.1-2~)
Description: Qt 6 Lottie - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt Lottie libraries.

## qt6-lottie 6.8.1

=== debian/changelog ===
qt6-lottie (6.8.1-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:51:56 -0600

=== debian/control ===
Source: qt6-lottie
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.8.1+dfsg~),
               qt6-base-private-dev (>= 6.8.1+dfsg~),
               qt6-declarative-dev (>= 6.8.1+dfsg~),
               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
Standards-Version: 4.7.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-lottie
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-lottie.git
Rules-Requires-Root: no

Package: libqt6bodymovin6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Lottie Bodymovin library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a plugin created/exported directly from After Effects.

Package: qml6-module-qt-labs-lottieqt
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 Lottie QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a QML API for rendering graphics and animations
 that are exported in JSON format by the Bodymovin plugin for Adobe
 After Effects.

Package: qt6-lottie-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6bodymovin6 (= ${binary:Version}),
         qml6-module-qt-labs-lottieqt (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Breaks: libqt6bodymovin6-dev (<< 6.4.1-2~),
Replaces: libqt6bodymovin6-dev (<< 6.4.1-2~),
Description: Qt 6 Lottie - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt Lottie libraries.

## qt6-lottie 6.8.2

=== debian/changelog ===
qt6-lottie (6.8.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 12:47:43 +0100

qt6-lottie (6.8.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 08 Feb 2025 17:47:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: qt6-lottie
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-qmldeps,
                dh-sequence-pkgkde-symbolshelper,
-               dh-sequence-qmldeps,
                libgl-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.8.1+dfsg~),
-               qt6-base-private-dev (>= 6.8.1+dfsg~),
-               qt6-declarative-dev (>= 6.8.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
+               qt6-base-dev (>= 6.8.2+dfsg~),
+               qt6-base-private-dev (>= 6.8.2+dfsg~),
+               qt6-declarative-dev (>= 6.8.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.2+dfsg~),
 Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-lottie
@@ -39,7 +38,9 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: Qt 6 Lottie QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

## qt6-lottie 6.8.3

=== src/bodymovin/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# Copyright (C) 2022 The Qt Company Ltd.
+# SPDX-License-Identifier: BSD-3-Clause
+
 qt_internal_add_module(BodymovinPrivate
     INTERNAL_MODULE
     SOURCES
@@ -36,4 +39,5 @@
         Qt::Core
         Qt::Gui
         Qt::GuiPrivate
+    NO_GENERATE_CPP_EXPORTS
 )

=== tests/auto/bodymovin/shape/fill/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# Copyright (C) 2022 The Qt Company Ltd.
+# SPDX-License-Identifier: BSD-3-Clause
+
 # Collect test data
 file(GLOB_RECURSE test_data_glob
     RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
@@ -7,7 +10,7 @@
 qt_internal_add_test(tst_fill
     SOURCES
         tst_bmfill.cpp
-    PUBLIC_LIBRARIES
+    LIBRARIES
         Qt::Gui
         Qt::GuiPrivate
         Qt::Test

=== debian/changelog ===
qt6-lottie (6.8.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 27 Mar 2025 22:23:18 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qt6-lottie
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -13,10 +14,10 @@
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.8.2+dfsg~),
-               qt6-base-private-dev (>= 6.8.2+dfsg~),
-               qt6-declarative-dev (>= 6.8.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.2+dfsg~),
+               qt6-base-dev (>= 6.8.3+dfsg~),
+               qt6-base-private-dev (>= 6.8.3+dfsg~),
+               qt6-declarative-dev (>= 6.8.3+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.3+dfsg~),
 Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-lottie

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 endif
 
 %:
-	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja
+	dh $@ --buildsystem=cmake+ninja
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## qt6-lottie 6.9.1

=== debian/changelog ===
qt6-lottie (6.9.1-0zneon+24.04+noble+stable+build12) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 09 Jul 2025 15:52:40 +0000

qt6-lottie (6.9.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 10 Jul 2025 00:17:42 +1000

qt6-lottie (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 01 May 2025 23:54:58 +1000

qt6-lottie (6.8.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 11 Apr 2025 23:20:22 +1000

qt6-lottie (6.8.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 09 Feb 2025 09:26:04 +1000

qt6-lottie (6.8.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 08 Dec 2024 08:33:02 +1000

qt6-lottie (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 24 Jul 2024 20:52:13 +1000

qt6-lottie (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 17 Feb 2024 10:12:22 +1000

qt6-lottie (6.6.1-0neon) jammy; urgency=medium

  [ Patrick Franz ]
  * New release

  [ Carlos De Maine ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 10 Dec 2023 19:17:40 +1000

qt6-lottie (6.4.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Rename libqt6bodymovin6-dev to qt6-lottie-dev.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Wed, 30 Nov 2022 22:36:59 +0100

qt6-lottie (6.4.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.

 -- Patrick Franz <deltaone@debian.org>  Thu, 17 Nov 2022 19:48:19 +0100

=== debian/control ===
Source: qt6-lottie
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.9.1~),
               qt6-declarative-dev (>= 6.9.1~)
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-lottie.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-lottie
Maintainer: Neon CI <neon@kde.org>

Package: qt6-lottie
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-declarative, ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt6bodymovin6, qml6-module-qt-labs-lottieqt
Description: Qt 6 Lottie Bodymovin library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a plugin created/exported directly from After Effects.

Package: qt6-lottie-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-dev, qt6-lottie (= ${binary:Version}), ${misc:Depends}
Breaks: libqt6bodymovin6-dev (<< 6.4.1-2~)
Replaces: libqt6bodymovin6-dev
Description: Qt 6 Lottie - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt Lottie libraries.

Package: libqt6bodymovin6
Architecture: all
Depends: qt6-lottie, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qt-labs-lottieqt
Architecture: all
Depends: qt6-lottie, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/ \
https://qt-mirror.dannhauer.de/official_releases/qt/([\d\.]+)/([\d\.]+)(\d)/submodules/qtlottie-everywhere-src-([\d\.]+\d).tar.xz
